POST
/user/alert/list
const url = 'https://example.com/user/alert/list';const options = { method: 'POST', headers: {'X-Tenzir-UserKey': '<X-Tenzir-UserKey>', 'Content-Type': 'application/json'}, body: '{"tenant_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/user/alert/list \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \ --data '{ "tenant_id": "example" }'List all configured alerts.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
ListAlertsRequest
object
tenant_id
required
Tenant Id
string
Example generated
{ "tenant_id": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
ListAlertsResponse
object
alerts
required
Alerts
Array<object>
NodeOfflineAlertobject
type
Type
string
id
required
Id
string
node_id
required
Node Id
string
duration
required
Duration
integer
webhook_url
required
Webhook Url
string
webhook_body
required
Webhook Body
string
Example
{ "alerts": [ { "type": "node_offline" } ]}{"detail": "Invalid API Key"}
{"detail": "Dashboard not found"}
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}